Subject: Re: linux-next: Tree for August 14 (sysfs/acpi errors)

From: Zhang Rui <[email-masked]>
Date: Fri, 15 Aug 2008 11:09:32 +0800

On Fri, 2008-08-15 at 04:56 +0200, Andi Kleen wrote:
> Greg KH wrote:
> > On Thu, Aug 14, 2008 at 08:38:28AM -0700, Randy Dunlap wrote:
> >> calling  param_sysfs_init+0x0/0x1e7
> >> ------------[ cut here ]------------
> >> WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x35/0x3d()
> >> sysfs: duplicate filename 'acpi' can not be created
> > 
> > Why would this be a sysfs error, it's acpi doing something foolish,
> > that's why the sysfs layer is warning about it :)
> 
> The NULL pointer reference further down actually looks like something
> foolish in the sysfs layer. But actually ACPI is not doing
> anything wrong here I think. According to the backtrace it happens
> when a kernel param (aka module_param) is set. And creating multiple
> params in the same acpi space is completely legal.
> 
> It looks more like the high level code that sets up these parameters
> broke somehow and starts registering these twice and now ACPI is the
> first one to hit it (maybe because it starts with 'a' :-). 
Perhaps we could try "acpi=off" and see if it still happens.

thanks,
rui